Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	libraw1394 is a library that providing API to access IEEE 1394 bus (FireWire, iLink)
Name:		libraw1394
Version:	2.0.4
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://sourceforge.net/projects/libraw1394
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
Patch0:		libraw1394-nodebug.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
#Requires:	
#BuildRequires:	

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
libraw1394 is a library that providing API to access IEEE 1394 bus (FireWire, iLink)
For more details see: http://sourceforge.net/projects/libraw1394

%package devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./configure 	--prefix=%_prefix \
		--disable-dependency-tracking \
		--mandir=%_mandir
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
# strip debug symbols
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir/dumpiso
%_bindir/sendiso
%_bindir/testlibraw
%_libdir/libraw1394.so.11*
%_mandir/man1/dumpiso.1.gz
%_mandir/man1/sendiso.1.gz
%_mandir/man1/testlibraw.1.gz
%_mandir/man5/isodump.5.gz

%files devel
%defattr(-,root,root)
%_libdir/libraw1394.a
%_libdir/libraw1394.la
%_libdir/libraw1394.so
%_libdir/pkgconfig/libraw1394.pc
%_includedir/libraw1394

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 18 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.0.4-1
- version update
* Tue Apr 14 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.0.2-1
- version update
* Sun Oct 21 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.3.0-1
- version update
* Sat Jun 17 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.1-1
- version update
* Tue Sep 27 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.0-2
- Moved necessary files to main package
* Tue Sep 27 2005 Christian Wasem <wasem@ccux-linux.de> 1.2.0-1
- Update to Version 1.2.0
* Sat Feb 05 2005 Christian Wasem <wasem@ccux-linux.de> 1.1.0-1
- Initial Release
